NNG_MTX_UNLOCK(3supp)

NAME
nng_mtx_unlock - unlock mutex

SYNOPSIS

    #include <nng/nng.h>
    #include <nng/supplemental/util/platform.h>
    void nng_mtx_unlock(nng_mtx *mtx);

DESCRIPTION

The nng_mtx_unlock() relinquishes ownership of the mutex mtx that was previously acquired via nng_mtx_lock().

    Important

    A mutex can only be unlocked by the thread that locked it. Attempting to unlock a mutex that is not owned by the caller will result in undefined behavior.

RETURN VALUES

None.

ERRORS

None.

SEE ALSO

nng_mtx_alloc(3supp), nng_mtx_lock(3supp), nng(7)